Campaigns
List campaigns
GET
/
workspaces
/
{workspace_uuid}
/
campaigns
List campaigns
curl --request GET \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"per_page": 50,
"total_count": 1,
"total_pages": 1,
"next_page": null,
"prev_page": null,
"data": [
{
"uuid": "9a4330fd-4d82-490f-a6a5-eaaabf5ea4dd",
"status": "draft",
"name": "Example Campaign",
"description": "Example for API documentation",
"campaign_type": "new_connections",
"senders": [
"6b8accff-7460-431e-9e2f-aeeac7c6916f"
],
"connection_request_limit": {
"min": 10,
"max": 15
},
"follow_up_limit": {
"min": 10,
"max": 15
},
"active_hours_utc": {
"from": "09:00",
"to": "17:00"
},
"active_days": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": false,
"sunday": false
},
"lead_list_uuids": [
"0d13ca65-af91-4de0-b741-8e865917eaaa"
],
"exclude": {
"already_active_campaign": true,
"already_contacted_workspace": false,
"already_contacted_selected_senders": false
},
"auto_finish": true,
"finished_at": "2025-11-01T09:00:00+01:00",
"updated_at": "2025-10-10T09:00:00+01:00",
"created_at": "2025-10-01T09:00:00+01:00"
}
]
}{
"error": "Invalid status. Must be one of: active, inactive, draft, finished"
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}Path Parameters
Query Parameters
⌘I
List campaigns
curl --request GET \
--url https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)require 'uri'
require 'net/http'
url = URI("https://app.reachboost.io/api/v1/workspaces/{workspace_uuid}/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"current_page": 1,
"per_page": 50,
"total_count": 1,
"total_pages": 1,
"next_page": null,
"prev_page": null,
"data": [
{
"uuid": "9a4330fd-4d82-490f-a6a5-eaaabf5ea4dd",
"status": "draft",
"name": "Example Campaign",
"description": "Example for API documentation",
"campaign_type": "new_connections",
"senders": [
"6b8accff-7460-431e-9e2f-aeeac7c6916f"
],
"connection_request_limit": {
"min": 10,
"max": 15
},
"follow_up_limit": {
"min": 10,
"max": 15
},
"active_hours_utc": {
"from": "09:00",
"to": "17:00"
},
"active_days": {
"monday": true,
"tuesday": true,
"wednesday": true,
"thursday": true,
"friday": true,
"saturday": false,
"sunday": false
},
"lead_list_uuids": [
"0d13ca65-af91-4de0-b741-8e865917eaaa"
],
"exclude": {
"already_active_campaign": true,
"already_contacted_workspace": false,
"already_contacted_selected_senders": false
},
"auto_finish": true,
"finished_at": "2025-11-01T09:00:00+01:00",
"updated_at": "2025-10-10T09:00:00+01:00",
"created_at": "2025-10-01T09:00:00+01:00"
}
]
}{
"error": "Invalid status. Must be one of: active, inactive, draft, finished"
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded. Please try again later.",
"code": "rate_limit_exceeded",
"retry_after": 17
}
